Package org.apache.storm.loadgen

## Class CaptureLoad

- java.lang.Object
- - org.apache.storm.loadgen.CaptureLoad

-     public class CaptureLoad
      extends Object

  Capture running topologies for load gen later on.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_OUT_DIR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaptureLoad()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkInitialization​(Map<String,​Double> topologyResources, String componentId, Map<String,​Object> topologyConf)` | Checks if the topology's resource requirements are initialized.
    `static void` | `main​(String[] args)` | Main entry point for CaptureLoad command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_OUT_DIR

          public static final String DEFAULT_OUT_DIR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CaptureLoad

          public CaptureLoad()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Main entry point for CaptureLoad command.
      Parameters:
        `args` - the arguments to the command
      Throws:
        `Exception` - on any error

    - #### checkInitialization

          public static void checkInitialization​(Map<String,​Double> topologyResources,
                                                 String componentId,
                                                 Map<String,​Object> topologyConf)

      Checks if the topology's resource requirements are initialized. Will modify topologyResources by adding the appropriate defaults
      Parameters:
        `topologyResources` - map of resouces requirements
        `componentId` - component for which initialization is being conducted
        `topologyConf` - topology configuration
      Throws:
        `Exception` - on any error